<?php

namespace Drupal\entity_agree;

use Drupal\Core\Routing\RouteMatchInterface;

/**
 * Interface for agreement handlers that restrict access to pages.
 */
interface AgreementHandlerRestrictPagesInterface {

  /**
   * Determine if access to the page should be allowed.
   *
   * @param \Drupal\Core\Routing\RouteMatchInterface $route_match
   *   The route match for the page being checked.
   *
   * @return bool
   *   Indicates if access to the page should be allowed.
   */
  public function allow(RouteMatchInterface $route_match);

}
