<?php

namespace Drupal\entity_agree;

use Drupal\views\EntityViewsData;

/**
 * Views data handler for agreements.
 */
class AgreementViewsData extends EntityViewsData {

  /**
   * {@inheritdoc}
   */
  public function getViewsData() {
    $data = parent::getViewsData();

    $data['entity_agree_agreement']['agreement_entity'] = [
      'field' => [
        'real field' => 'agreement_id',
        'id' => 'entity_agree_entity',
        'title' => $this->t('Agreement'),
        'help' => $this->t('Link to agreement'),
      ],
    ];

    $data['entity_agree_agreement']['agreement_status'] = [
      'title' => $this->t('Status'),
      'real field' => 'agreement_id',
      'field' => [
        'id' => 'entity_agree_agreement_status',
        'help' => $this->t('Agreement status'),
      ],
      'filter' => [
        'id' => 'entity_agree_agreement_status',
        'help' => $this->t('Filter by agreement status'),
      ],
    ];

    return $data;
  }

}
